Bug 432425 (gcc43rebuildfail)

Summary: GCC 4.3 Rebuild Failure Tracker
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: distributionAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: dcantrell, jakub, jonstanley, katzj, notting, poelstra
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-24 15:25:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 337051, 404271, 405131, 428001, 430943, 432987, 432990, 432991, 433904, 433958, 433963, 433964, 433965, 433977, 433978, 433979, 433981, 433983, 433985, 433986, 433988, 433993, 433994, 433995, 433997, 433999, 434000, 434005, 434008, 434009, 434013, 434015, 434018, 434019, 434020, 434023, 434024, 434025, 434026, 434027, 434028, 434029, 434030, 434032, 434034, 434035, 434036, 434038, 434040, 434042, 434043, 434044, 434045, 434046, 434047, 434048, 434049, 434050, 434051, 434052, 434053, 434054, 434055, 434057, 434058, 434059, 434062, 434063, 434064, 434067, 434074, 434075, 434080, 434083, 434085, 434087, 434088, 434091, 434092, 434093, 434094, 434098, 434101, 434102, 434103, 434104, 434105, 434106, 434107, 434108, 434109, 434111, 434112, 434113, 434114, 434116, 434117, 434118, 434120, 434124, 434126, 434127, 434128, 434130, 434133, 434137, 434138, 434139, 434143, 434147, 434166, 434170, 434171, 434172, 434173, 434175, 434176, 434177, 434178, 434179, 434180, 434181, 434182, 434183, 434184, 434185, 434186, 434187, 434188, 434189, 434190, 434191, 434192, 434193, 434194, 434195, 434196, 434197, 434198, 434199, 434200, 434201, 434202, 434203, 434204, 434205, 434206, 434207, 434208, 434209, 434210, 434211, 434212, 434213, 434214, 434215, 434216, 434218, 434219, 434220, 434221, 434222, 434223, 434224, 434225, 434226, 434227, 434228, 434229, 434230, 434231, 434232, 434233, 434234, 434235, 434236, 434237, 434238, 434239, 434240, 434241, 434242, 434243, 434244, 434245, 434246, 434247, 434248, 434249, 434250, 434251, 434252, 434253, 434254, 434255, 434256, 434257, 434258, 434259, 434260, 434261, 434262, 434263, 434265, 434266, 434268, 434269, 434270, 434271, 434272, 434273, 434275, 434279, 434280, 434283, 434286, 434290, 434291, 434292, 434293, 434295, 434296, 434297, 434298, 434301, 434302, 434303, 434304, 434305, 434306, 434307, 434309, 434310, 434311, 434313, 434314, 434315, 434316, 434317, 434318, 434319, 434320, 434321, 434322, 434324, 434325, 434326, 434327, 434328, 434329, 434330, 434331, 434333, 434334, 434335, 434336, 434337, 434338, 434339, 434340, 434341, 434342, 434343, 434344, 434346, 434347, 434349, 434350, 434352, 434355, 434357, 434358, 434361, 434364, 434365, 434369, 434370, 434371, 434372, 434373, 434374, 434375, 434377, 434378, 434380, 434382, 434384, 434385, 434386, 434387, 434388, 434389, 434391, 434392, 434395, 434397, 434398, 434400, 434401, 434403, 434404, 434405, 434409, 434410, 434411, 434413, 434416, 434417, 434418, 434422, 434427, 434428, 434429, 434431, 434433, 434434, 434436, 434438, 434440, 434441, 434442, 434443, 434444, 434447, 434448, 434449, 434450, 434451, 434452, 434453, 434454, 434456, 434457, 434459, 434461, 434462, 434463, 434464, 434465, 434467, 434468, 434469, 434470, 434471, 434472, 434475, 434476, 434477, 434480, 434481, 434482, 434486, 434487, 434488, 434489, 434490, 434491, 434492, 434493, 434494, 434495, 434496, 434497, 434498, 434499, 434500, 434501, 434502, 434503, 434504, 434505, 434506, 434507, 434508, 434509, 434510, 434511, 434512, 434513, 434514, 434515, 434516, 434517, 434521, 434526, 434605    
Bug Blocks: 440169, 235705    

Description Jesse Keating 2008-02-11 17:55:04 EST
This is a tracker bug for packages which fail to rebuild with gcc 4.3.  These
rebuilds are being done as part of http://fedoraproject.org/wiki/Features/GCC4.3
and http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal . 
Builds that fail will have individual bugs filed and those bugs will block this bug.

Please think twice about adding a new bug to this tracker, make sure that it is
actually a gcc 4.3 build failure.

Please do not add any further comments here.
Comment 1 Jesse Keating 2008-02-22 07:24:11 EST
Reassigning to distribution, as the actual compile failures will be tracked on
another bug.

Removing CCs for the mass filing.  Will add them back later.
Comment 2 Jesse Keating 2008-02-22 07:29:08 EST
Prevent the F9 folks from getting spammed.
Comment 3 Karen Pease 2008-02-22 11:35:10 EST
Could you be more specific as to what the error was? 
Comment 4 Karen Pease 2008-02-22 11:51:23 EST
Could you be more specific as to what the error was? 
Comment 5 Kevin Kofler 2008-03-11 17:48:04 EDT
Please don't ask questions about specific rebuild failures on the generic 
tracker bug. In this case, I assume your question refers to bug 434317 
(nethack-vultures). Jon Stanley, one of the triage team members, added some 
specifics in the meantime, I now clarified what's up exactly and what needs to 
be done to fix it.

The triage team already copied some specifics about the build failures to most 
or all of the bugs, but if anybody else still doesn't know what went wrong with 
their package, please ask for help on the fedora-devel-list, it's more likely 
to be seen there than in this tracker bug.
Comment 6 Jon Stanley 2008-03-27 21:46:09 EDT
Adding Tracking keyword
Comment 7 Axel Thimm 2008-04-05 06:26:34 EDT
What is the difference to bug #433629?

"GCC 4.3 compile errors tracker: This is for bugs from gcc43rebuildfail that are
actual compile errors, as opposed to buildroot errors, etc."

Maybe the trackers need to be merged into one?
Comment 8 John Poelstra 2008-07-03 19:40:06 EDT
triaged
Comment 9 Bill Nottingham 2008-10-24 15:25:15 EDT
All dependent bugs closed. Woo!